package ComplexCalculator is
   
   --Defines that a complex number has two fields.
   type ComplexNumber is record
      
      Real : Integer;
      Imaginary : Integer;
   
   end record;
   
   -- Defines the available functions.
   function Add(First, Second : ComplexNumber) return ComplexNumber;
   function Sub(First, Second : ComplexNumber) return ComplexNumber;
   function Multiply(First, Second : ComplexNumber) return ComplexNumber;
   function Divide(First, Second : ComplexNumber) return ComplexNumber;
   function ToString(Number : ComplexNumber) return String;
   
end ComplexCalculator;
